List customer KYB documents
curl --request GET \
--url https://api-prod.blaaiz.com/api/external/customer/{customer}/document \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.blaaiz.com/api/external/customer/{customer}/document"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.blaaiz.com/api/external/customer/{customer}/document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/customer/{customer}/document")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/customer/{customer}/document",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "019a6e10-1fb3-7b2f-8f8b-ad1e92c4017a",
"business_customer_id": "019a6da3-4a9a-7033-81b9-12489eff13ee",
"type": "CERTIFICATE_OF_INCORPORATION",
"name": "Acme Inc — Certificate of Incorporation.pdf",
"extension": "pdf",
"description": "Filed 2019-03-12, Companies House",
"status": "PROCESSING",
"admin_comments": null,
"url": "https://s3.amazonaws.com/...?X-Amz-Signature=...",
"created_at": "2026-04-20T10:14:31.000000Z",
"updated_at": "2026-04-20T10:14:31.000000Z"
}
]
}{
"status": true,
"message": "<string>"
}KYB documents (business customers)
List customer KYB documents
Returns every KYB document the business has registered for this customer. Each row’s url is a 2-minute presigned link to the underlying file. The customer must be of type business. Required scope: customer:read.
GET
/
api
/
external
/
customer
/
{customer}
/
document
List customer KYB documents
Was this page helpful?
⌘I

